OttoFMS Settings
Create Offsite Schedule
Request Body
application/json
POST /otto/api/settings/offsite/schedules Request body
name*string
Length
1 <= lengthremote_name*string
Length
1 <= lengthbucket_name*string
Length
1 <= lengthremote_path*string
Length
1 <= lengthinclude_external_container_data_1?boolean
container_data_1_different_remote?|
container_data_1_remote?|
container_data_1_bucket?|
container_data_1_remote_path?|
include_external_container_data_2?boolean
container_data_2_different_remote?|
container_data_2_remote?|
container_data_2_bucket?|
container_data_2_remote_path?|
zip_files?|
file_browser_hash?string
the hash to use in the file browser url
enabled?boolean
startTimeStamp?string
frequencyType?string
Value in
"daily" | "weekly"dailyDays?number
Range
1 <= value <= 999daysOfTheWeek?array<>
endDate?string
repeatTask?|
maxBackups?number
Range
1 <= value <= 99clone?boolean
verify?boolean
sendEmail?array<>
useExistingSchedule?boolean
Response Body
application/json
application/json
curl -X POST "https://your.server.net/otto/api/settings/offsite/schedules" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "remote_name": "string", "bucket_name": "string", "remote_path": "string" }'{
"response": {},
"messages": [
{
"code": 0,
"text": "ok"
}
]
}{
"response": {},
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
]
}